import img.Picture;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.GraphicsEnvironment;
import java.awt.Point;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashSet;
import java.util.Set;

import javax.swing.JComboBox;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 */
public class L10App03 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {
		PrintStream output = System.out;

		final int DIM = 500;

		Picture myPict = new Picture(DIM, DIM);
		// alternate the order of the following two lines; observe the impact
		Graphics2D graphicsObject = myPict.getGraphics2D();
		myPict.show();
		graphicsObject.setPaint(Color.BLACK);

		String theString = "The quick brown fox jumped over the lazy dog";
		Point anchorPt = new Point(DIM / 3, DIM / 3);
		graphicsObject.drawString(theString, anchorPt.x, anchorPt.y);

		Font defaultFont = graphicsObject.getFont();
		output.println(defaultFont);

		myPict.repaint();

		/*
		 * Take-home point: The nature of the graphics2D object that is returned
		 * by getGraphics2D() depends on whether myPict has been shown or not
		 */

	}
}
