import img.Picture;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.GraphicsEnvironment;
import java.awt.Point;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.swing.JComboBox;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 */
public class L10App06 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {

		// how can we determine which fonts are installed (and thus available
		// for use by the VM?)

		PrintStream output = System.out;

		GraphicsEnvironment graphicsEnv = GraphicsEnvironment
				.getLocalGraphicsEnvironment();

		String[] installedFonts = graphicsEnv.getAvailableFontFamilyNames();

//		for (String s : installedFonts) {
//			output.println(s);
//		}
		// 0, installedFonts.length - 1
		Font myFont = new Font(installedFonts[installedFonts.length - 1],
				Font.PLAIN, 16);

		final int DIM = 600;
		Picture myPict = new Picture(DIM, DIM);
		myPict.show();
		Graphics2D graphicsObject = myPict.getGraphics2D();
		graphicsObject.setPaint(Color.BLACK);
		String theString = "The quick brown fox jumped over the lazy dog";
		Point anchorPt = new Point(DIM / 3, DIM / 3);

		graphicsObject.setFont(myFont);
		graphicsObject.drawString(theString, anchorPt.x, anchorPt.y);

	}
}
