import img.Picture;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.GraphicsEnvironment;
import java.awt.Point;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashSet;
import java.util.Set;

import javax.swing.JComboBox;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 */
public class L10App01 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {
		PrintStream output = System.out;

		final int DIM = 600;

		Picture myPict = new Picture(DIM, DIM);

		myPict.show();
		Graphics2D graphicsObject = myPict.getGraphics2D();
		graphicsObject.setPaint(Color.BLACK);

		String theString = "The quick brown fox jumped over the lazy dog";
		Point anchorPt = new Point(DIM / 3, DIM / 3);
		graphicsObject.drawString(theString, anchorPt.x, anchorPt.y);

		graphicsObject.setPaint(Color.RED);
		graphicsObject.fill(new Ellipse2D.Double(anchorPt.x, anchorPt.y, 5, 5));

		myPict.repaint();

		/*
		 * Take-home point: it is simple to render a nicely-formatted string
		 * graphically because the graphics2D object is encapsulating much of
		 * the complexity.
		 */

	}
}
