import img.Picture;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.GraphicsEnvironment;
import java.awt.Point;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashSet;
import java.util.Set;

import javax.swing.JComboBox;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 */
public class L10App02 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {
		PrintStream output = System.out;

		final int DIM = 600;

		Picture myPict = new Picture(DIM, DIM);
		myPict.show();
		Graphics2D graphicsObject = myPict.getGraphics2D();
		graphicsObject.setPaint(Color.BLACK);

		String theString = "The quick brown fox jumped over the lazy dog";
		Point anchorPt = new Point(DIM / 3, DIM / 3);
		graphicsObject.drawString(theString, anchorPt.x, anchorPt.y);
		myPict.repaint();

		Font defaultFont = graphicsObject.getFont();
		output.println(defaultFont);
		output.println("Family: " + defaultFont.getFamily());
		output.println("Font Name: " + defaultFont.getFontName());
		output.println("Italic Angle: " + defaultFont.getItalicAngle());
		output.println("Style: " + defaultFont.getStyle());
		output.println("Size: " + defaultFont.getSize());


		/*
		 * Take-home point: some of the complexity of rendering a
		 * nicely-formatted string graphically is encapsulated within the
		 * graphics2D object via its Font attribute. The Font object
		 * encapsulated many attributes of font
		 */

	}
}
