import img.Picture;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.GraphicsEnvironment;
import java.awt.Point;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashSet;
import java.util.Set;

import javax.swing.JComboBox;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 */
public class L10App04 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {
		PrintStream output = System.out;

		final int DIM = 600;

		Picture myPict = new Picture(DIM, DIM);

		Graphics2D graphicsObject = myPict.getGraphics2D();
		myPict.show();


		RenderingHints rh = graphicsObject.getRenderingHints();
		Set<Object> keys = rh.keySet();
		for (Object k : keys) {
			output.println(k + ": " + rh.get(k));
		}

		myPict.repaint();

	}
}
